package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.db.DataBaseActionResult;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.etagTask.EtagTaskQueryReq;
import org.wcs.model.po.app.AppEtagTask;

import java.time.LocalDateTime;
import java.util.Iterator;
import java.util.List;

public interface AppEtagTaskService extends IService<AppEtagTask> {

    Tuple2<Long, List<AppEtagTask>> queryEtagTask(EtagTaskQueryReq request, Integer pageIndex, Integer pageSize);
    DataBaseActionResult<Integer> insert(AppEtagTask appEtagTask); // 插入新数据
    DataBaseActionResult<Integer> insert(List<AppEtagTask> appEtagTaskList); // 插入新数据
    DataBaseActionResult<Integer> updateIgnoreNull(AppEtagTask appEtagTask); // 更新数据,忽略Null值
    List<AppEtagTask> queryByTaskId(String taskId); // 通过任务ID查询
    List<AppEtagTask> queryByTagAreaIdAndVehicleAndStatus(String areaId, String vehicleNo, List<Integer> status); // 通过标签区域ID和载具号和状态查询
    List<AppEtagTask> queryByVehicleAndStatus(String vehicleNo, List<Integer> status); // 通过标签]载具号和状态查询
    List<AppEtagTask> queryIgnoreNull(AppEtagTask appEtagTask); // 查询数据,忽略Null值的查询条件
}
